## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterTreeWalker Class Reference

`#include <FormatterTreeWalker.hpp>`

Inheritance diagram for FormatterTreeWalker:

[legend]
Collaboration diagram for FormatterTreeWalker:

[legend]
List of all members.

## Public Methods

- FormatterTreeWalker (FormatterListener &formatterListener, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    Construct a FormatterTreeWalker instance. More...
- virtual ~FormatterTreeWalker ()

## Protected Methods

- virtual bool startNode (const XalanNode *node)
    Called when first walking a node. More...
- virtual bool startNode (XalanNode *node)
    Called when first walking a node. More...
- virtual bool endNode (const XalanNode *node)
    Called when leaving a node. More...
- virtual bool endNode (XalanNode *node)
    Called when leaving a node. More...

## Constructor & Destructor Documentation

FormatterTreeWalker::FormatterTreeWalker ( | FormatterListener & formatterListener,
| MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR )

  | Construct a FormatterTreeWalker instance. Parameters:
  formatterListener | implemention of the FormatterListener operation (toXMLString, digest, ...)

FormatterTreeWalker::~FormatterTreeWalker ( | )`[virtual]`

## Member Function Documentation

bool FormatterTreeWalker::endNode ( | XalanNode * node )`[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Reimplemented from TreeWalker.

bool FormatterTreeWalker::endNode ( | const XalanNode * node )`[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Reimplemented from TreeWalker.

bool FormatterTreeWalker::startNode ( | XalanNode * node )`[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Reimplemented from TreeWalker.

bool FormatterTreeWalker::startNode ( | const XalanNode * node )`[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Reimplemented from TreeWalker.

The documentation for this class was generated from the following file:

- FormatterTreeWalker.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.